Rapid7 Vulnerability & Exploit Database

Oracle Solaris 11: CVE-2018-12121: Vulnerability in Node.js

Back to Search

Oracle Solaris 11: CVE-2018-12121: Vulnerability in Node.js

Severity
5
CVSS
(AV:N/AC:L/Au:N/C:N/I:N/A:P)
Published
11/28/2018
Created
01/20/2021
Added
01/19/2021
Modified
11/17/2021

Description

Node.js: All versions prior to Node.js 6.15.0, 8.14.0, 10.14.0 and 11.3.0: Denial of Service with large HTTP headers: By using a combination of many requests with maximum sized headers (almost 80 KB per connection), and carefully timed completion of the headers, it is possible to cause the HTTP server to abort from heap allocation failure. Attack potential is mitigated by the use of a load balancer or other proxy layer.

Solution(s)

  • oracle-solaris-11-4-upgrade-value-runtime-nodejs-nodejs-8-8-17-0-11-4-21-0-1-69-0

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;